Name:       oeAware-manager
Version:    v1.0.2
Release:    4
Summary:    OeAware server and client 
License:    MulanPSL2
URL:        https://gitee.com/openeuler/%{name}
Source0:    %{name}-%{version}.tar.gz
Patch1:     0001-plugin_mgr-logger-apppend-to-logfile-rather-than-tru.patch
Patch2:     0002-fix-threads-are-still-bound-after-systemctl-stop-oea.patch
Patch3:     0003-fix-coredump-when-process-exits.patch
Patch4:     0004-update-numafast-version.patch

BuildRequires: cmake make gcc-c++
BuildRequires: boost-devel
BuildRequires: curl-devel
BuildRequires: log4cplus-devel
BuildRequires: yaml-cpp-devel
BuildRequires: gtest-devel gmock-devel

Requires: oeAware-collector >= v1.0.2
Requires: oeAware-scenario  >= v1.0.2
Requires: oeAware-tune      >= v1.0.0
Requires: graphviz yaml-cpp curl log4cplus boost systemd

%description
%{name} provides server and client to manager plugins.

%prep
%autosetup -n %{name}-%{version} -p1

%build
mkdir build
cd build 
cmake ..
make %{?_smp_mflags}

%install
install -D -m 0750 build/src/plugin_mgr/oeaware %{buildroot}%{_bindir}/oeaware
install -D -m 0750 build/src/client/oeawarectl %{buildroot}%{_bindir}/oeawarectl
install -D -m 0640 config.yaml %{buildroot}%{_sysconfdir}/oeAware/config.yaml
install -D -p -m 0644 oeaware.service %{buildroot}%{_unitdir}/oeaware.service

%preun
%systemd_preun oeaware.service

%post
systemctl start oeaware.service

%posttrans
. /etc/os-release || :
if [ "${VERSION}" == "22.03 (LTS-SP4)" ]; then
        systemctl enable oeaware.service
fi

%files
%attr(0750, root, root) %{_bindir}/oeaware
%attr(0750, root, root) %{_bindir}/oeawarectl
%attr(0640, root, root) %{_sysconfdir}/oeAware/config.yaml
%attr(0644, root, root) %{_unitdir}/oeaware.service

%changelog
* Thu Sep 5 2024 fly_1997 <flylove7@outlook.com> -v1.0.2-4
- update numafast version

* Mon Jul 8 2024 fly_1997 <flylove7@outlook.com> -v1.0.2-3
- add automatic startup based on the version
- fix coredump when process exits
- modify logger mode to append

* Thu Jun 27 2024 fly_1997 <flylove7@outlook.com> -v1.0.2-2
- add enable automatic startup

* Thu Jun 20 2024 fly_1997 <flylove7@outlook.com> -v1.0.2-1
- update version to v1.0.2-1

* Fri Jun 14 2024 fly_1997 <flylove7@outlook.com> -v1.0.1-6
- fix dependency error and add enable failed logs
- fix dependency disabled failed and pre-enable illegal plugin

* Wed Jun 12 2024 fly_1997 <flylove7@outlook.com> -v1.0.1-5
- add Requires

* Wed Jun 5 2024 fly_1997 <flylove7@outlook.com> -v1.0.1-4
- add dynamic dependencncy adjustment

* Fri May 31 2024 fly_1997 <flylove7@outlook.com> -v1.0.1-3
- refactor instance interfaces and add signal function

* Wed May 15 2024 fly_1997 <flylove7@outlook.com> -v1.0.1-2
- fix pre-enable failed, dependencies missing error, memory leak
- fix warning message

* Sat May 11 2024 fly_1997 <flylove7@outlook.com> -v1.0.1-1
- update version to v1.0.1

* Wed May 8 2024 fly_1997 <flylove7@outlook.com> -v1.0.0-5
- fix systemd service uninstallation issue
- fix load error and args parsing error printing

* Mon May 6 2024 fly_1997 <flylove7@outlook.com> -v1.0.0-4
- add logs, modify sock file permission and serivce file

* Mon Apr 29 2024 fly_1997 <flylove7@outlook.com> -v1.0.0-3
- add error description, refactor, and fix bugs  

* Sun Apr 28 2024 huangwenhua <huangwenhua@kylinos.cn> -v1.0.0-2
- Add Requires:graphviz

* Thu Apr 18 2024 fly_1997 <flylove7@outlook.com> -v1.0.0-1
- Package init
